package hmggirlfront.render.tile;

import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import gvclib.mod_GVCLib;
import gvclib.item.ItemGunBase;
import hmggirlfront.block.tile.TileEntityBlock_Camonet;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import objmodel.AdvancedModelLoader;
import objmodel.IModelCustom;

@SideOnly(Side.CLIENT)
public class TileRender_Camonet extends TileEntitySpecialRenderer<TileEntityBlock_Camonet> {
	private static final ResourceLocation box = new ResourceLocation(
			"hmggirlfront:textures/blocks/model/camonet1_df.png");
	private static final IModelCustom box_model = AdvancedModelLoader
			.loadModel(new ResourceLocation("hmggirlfront:textures/blocks/model/camonet_wdf.mqo"));
	
	public TileRender_Camonet() {
	}

	public void render(TileEntityBlock_Camonet tile, double x, double y, double z, float partialTicks, int destroyStage,
			float alpha) {
		Minecraft minecraft = Minecraft.getMinecraft();

		GL11.glPushMatrix();
		GL11.glEnable(GL12.GL_RESCALE_NORMAL);
		GL11.glTranslatef((float) x + 0.5F, (float) y + 0F, (float) z + 0.5F);
		GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
		GL11.glColor4f(1F, 1F, 1F, 1.0F);

		/*
		 * if (tile.houkou == 1) { GL11.glRotatef(90.0F, 0.0F, 1.0F, 0.0F); } else if
		 * (tile.houkou == 2) { GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F); } else if
		 * (tile.houkou == 3) { GL11.glRotatef(270.0F, 0.0F, 1.0F, 0.0F); } else {
		 * 
		 * }
		 */
		if (tile.facing == 1) {
			GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
		} else if (tile.facing == 2) {
			GL11.glRotatef(90.0F, 0.0F, 1.0F, 0.0F);
		} else if (tile.facing == 3) {
			GL11.glRotatef(-90.0F, 0.0F, 1.0F, 0.0F);
		} else if (tile.facing == 4) {
			GL11.glTranslatef(0.0F, 0.5F, 0.0F);
			GL11.glRotatef(90.0F, 1.0F, 0.0F, 0.0F);
			GL11.glTranslatef(0.0F, -0.5F, 0.0F);
		} else if (tile.facing == 5) {
			GL11.glTranslatef(0.0F, 0.5F, 0.0F);
			GL11.glRotatef(-90.0F, 1.0F, 0.0F, 0.0F);
			GL11.glTranslatef(0.0F, -0.5F, 0.0F);
		} 
		else {
			// GL11.glRotatef(0.0F, 0.0F, 1.0F, 0.0F);
		}
		{
			this.bindTexture(box);
			box_model.renderPart("mat1");
			
		}
		GL11.glDisable(GL12.GL_RESCALE_NORMAL);
		GL11.glPopMatrix();

	}

	public void RenderGun(ItemGunBase gun) {
		Minecraft.getMinecraft().renderEngine.bindTexture(new ResourceLocation(gun.obj_tex));
		gun.obj_model.renderPart("mat1");
		gun.obj_model.renderPart("mat2");
		// gun.obj_model.renderPart("mat3");
		// Layermat.rendersight( entity, stack, gun);
		// Layermat.renderattachment( entity, stack, gun);
		gun.obj_model.renderPart("mat25");
		gun.obj_model.renderPart("mat31");
		gun.obj_model.renderPart("mat32");/**/
	}

}